/*
 * BuildUndergraduate.java
 *
 * Created on October 21, 2004, 5:04 PM
 */

package university;

/**
 * Builds a Undergradute student from the information entered in from the console. 
 *
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */


public class UndergraduateFactory extends StudentFactory implements  Build, Cloneable{
    
    /** Creates a new instance of BuildUndergraduate */
    public UndergraduateFactory() {
    }
    
    public Person build(){
        this.buildPersonInfo();
        int choice = 0;
        while(choice < 1 || choice > 4 ){
            System.out.println("\t1- Freshman");
            System.out.println("\t2- Sophmore");        
            System.out.println("\t3- Junior");
            System.out.println("\t4- Senior"); 
            try{
                choice = Integer.parseInt(console.readLine());
            }
            catch(Exception e){
                System.err.println("ERROR: Invalid input.");
            }
        }
        switch(choice){
            case 1:
                level = UndergraduateLevel.FRESHMAN;
                break;
            case 2:
                level = UndergraduateLevel.SOPHMORE;
                break;
            case 3:
                level = UndergraduateLevel.SENIOR;
                break;
            case 4:
                level = UndergraduateLevel.SENIOR;
                break;
            default:
                System.err.println("Invalid value entered.");               
        }
        Person p = new Undergraduate(name, gender, address, unit, level);
        return p;
    }
    
    protected UndergraduateLevel level;    
    
}
